package cc.smtweb.framework.core.mvc.controller;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;

/**
 * 默认静态页面处理
 *
 * @author xkliu
 */
@Controller
public class DefaultPageController {
    /**
     * 重定向默认静态页面
     *
     * @return 静态页面重定向路径
     */
    @GetMapping("/")
    public String index() {
        return "forward:/static/index.html";
    }

    /**
     * 重定向默认网站图标
     *
     * @return 网站图标重定向路径
     */
    @GetMapping(value = "/favicon.ico")
    public String favicon() {
        return "forward:/static/favicon.ico";
    }
}
